Opened 8 years ago

Closed 8 years ago

#458 closed defect (fixed)

error in logs: org.mortbay.jetty.servlet.ServletHandler handle

Reported by: DISABLED Owned by: zzz
Priority: minor Milestone: 0.8.6
Component: apps/console Version: 0.8.4
Keywords: Cc:
Parent Tickets: Sensitive: no

Description (last modified by zzz)

Since I upgraded my WAN link to fiber, after a couple of days (2-3) my I2P router manages about 1000 tunnels (Atom CPU gets seriously loaded) and get this error in logs:

INFO   | jvm 1    | 2011/04/10 16:53:33 | Starting I2P 0.8.4-0
INFO   | jvm 1    | 2011/04/10 16:53:34 | INFO: Native CPUID library 'jcpuid-x86-linux' loaded from somewhere in the path
INFO   | jvm 1    | 2011/04/10 16:53:34 | INFO: Locally optimized native BigInteger library loaded from the library path
INFO   | jvm 1    | 2011/04/10 16:53:35 | 10 avr. 2011 14:53:35 org.mortbay.http.HttpServer doStart
INFO   | jvm 1    | 2011/04/10 16:53:35 | INFO: Version Jetty/5.1.15
INFO   | jvm 1    | 2011/04/10 16:53:35 | Adding /opt/i2p/lib/i2psnark.jar to classpath for i2psnark
INFO   | jvm 1    | 2011/04/10 16:53:35 | 10 avr. 2011 14:53:35 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:35 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@10ab09f
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started WebApplicationContext[/i2psnark,/i2psnark]
INFO   | jvm 1    | 2011/04/10 16:53:36 | Adding /opt/i2p/lib/jstl.jar to classpath for susidns
INFO   | jvm 1    | 2011/04/10 16:53:36 | Adding /opt/i2p/lib/standard.jar to classpath for susidns
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@1c5ddc9
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started WebApplicationContext[/susidns,susidns]
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@18352d8
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started WebApplicationContext[/i2ptunnel,/i2ptunnel]
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@e53220
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Starting Addressbook 2.0.4
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started WebApplicationContext[/addressbook,/addressbook]
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started net.i2p.router.web.LocaleWebAppHandler@140984b
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started WebApplicationContext[/,/]
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.http.SocketListener start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started SocketListener on 192.168.10.1:7657
INFO   | jvm 1    | 2011/04/10 16:53:36 | 10 avr. 2011 14:53:36 org.mortbay.util.Container start
INFO   | jvm 1    | 2011/04/10 16:53:36 | INFO: Started org.mortbay.jetty.Server@c44b88
INFO   | jvm 1    | 2011/04/13 14:48:30 | 13 avr. 2011 12:48:30 org.mortbay.jetty.servlet.ServletHandler handle
INFO   | jvm 1    | 2011/04/13 14:48:30 | GRAVE: /themes/console/classic/console.css: 
INFO   | jvm 1    | 2011/04/13 14:48:30 | java.lang.IllegalStateException: Committed
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.resetBuffer(ServletHttpResponse.java:212)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.sendError(ServletHttpResponse.java:378)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.jsp.viewtheme_jsp._jspService(viewtheme_jsp.java:107)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.LocaleWebAppHandler.handle(LocaleWebAppHandler.java:90)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 13 avr. 2011 12:48:30 org.mortbay.jetty.servlet.ServletHandler handle
INFO   | jvm 1    | 2011/04/13 14:48:30 | GRAVE: /themes/console/classic/images/titlebg.png: 
INFO   | jvm 1    | 2011/04/13 14:48:30 | java.lang.IllegalStateException: Committed
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.resetBuffer(ServletHttpResponse.java:212)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.sendError(ServletHttpResponse.java:378)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.jsp.viewtheme_jsp._jspService(viewtheme_jsp.java:107)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.LocaleWebAppHandler.handle(LocaleWebAppHandler.java:90)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 13 avr. 2011 12:48:30 org.mortbay.jetty.servlet.ServletHandler handle
INFO   | jvm 1    | 2011/04/13 14:48:30 | GRAVE: /themes/console/classic/images/i2plogo.png: 
INFO   | jvm 1    | 2011/04/13 14:48:30 | java.lang.IllegalStateException: Committed
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.resetBuffer(ServletHttpResponse.java:212)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.sendError(ServletHttpResponse.java:378)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.jsp.viewtheme_jsp._jspService(viewtheme_jsp.java:107)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at net.i2p.router.web.LocaleWebAppHandler.handle(LocaleWebAppHandler.java:90)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
INFO   | jvm 1    | 2011/04/13 14:48:30 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)

Subtickets

Change History (4)

comment:1 Changed 8 years ago by zzz

Component: wwwapps/console
Description: modified (diff)
Milestone: 0.8.50.8.6
Owner: set to zzz
Status: newassigned

The router console had an I/O error reading a CSS or image file from $I2P/docs/themes/console, and then another error happened trying to output the first error.

I can't tell what the original error was, but I'll try to fix the error cascade, so if it happens again at least we will be able to see the I/O error.

I don't have any good guesses on the cause of the I/O error - maybe a disk problem, or too many open files, or out of memory - hard to tell from here.

comment:2 in reply to:  1 Changed 8 years ago by DISABLED

Replying to zzz:

I can't tell what the original error was, but I'll try to fix the error cascade, so if it happens again at least we will be able to see the I/O error.
I don't have any good guesses on the cause of the I/O error - maybe a disk problem, or too many open files, or out of memory - hard to tell from here.

I just restarted I2P router, I'll see if any change.
I/O error is not OOM related (host isn't swapping at all). I don't think it's a disk problem (well, I hope so :)), no other process is complaining and hardware seems healthy. Too many opened files, ok, I'll check that. I'll add some other check related to grsec features.

I'll check too if it's related to the fact I

comment:3 Changed 8 years ago by DISABLED

I2P routeur (updated to 0.8.5) is up for almost 2 days, 1k tunnels, just connected to console to check logs (11h08) and see that:

INFO   | jvm 3    | 2011/04/19 23:54:32 | Starting I2P 0.8.5-0
INFO   | jvm 3    | 2011/04/19 23:54:33 | INFO: Native CPUID library 'jcpuid-x86-linux' loaded from somewhere in the path
INFO   | jvm 3    | 2011/04/19 23:54:33 | INFO: Locally optimized native BigInteger library loaded from the library path
INFO   | jvm 3    | 2011/04/19 23:54:34 | 19 avr. 2011 21:54:34 org.mortbay.http.HttpServer doStart
INFO   | jvm 3    | 2011/04/19 23:54:34 | INFO: Version Jetty/5.1.15
INFO   | jvm 3    | 2011/04/19 23:54:34 | Adding /opt/i2p/lib/i2psnark.jar to classpath for i2psnark
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@90d8ea
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started WebApplicationContext[/i2psnark,/i2psnark]
INFO   | jvm 3    | 2011/04/19 23:54:35 | Adding /opt/i2p/lib/jstl.jar to classpath for susidns
INFO   | jvm 3    | 2011/04/19 23:54:35 | Adding /opt/i2p/lib/standard.jar to classpath for susidns
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@1dc0e7a
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started WebApplicationContext[/susidns,susidns]
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@e53220
INFO   | jvm 3    | 2011/04/19 23:54:35 | 19 avr. 2011 21:54:35 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:35 | INFO: Started WebApplicationContext[/i2ptunnel,/i2ptunnel]
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started org.mortbay.jetty.servlet.WebApplicationHandler@189c036
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Starting Addressbook 2.0.4
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started WebApplicationContext[/addressbook,/addressbook]
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started net.i2p.router.web.LocaleWebAppHandler@165b7e
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started WebApplicationContext[/,/]
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.http.SocketListener start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started SocketListener on 192.168.10.1:7657
INFO   | jvm 3    | 2011/04/19 23:54:36 | 19 avr. 2011 21:54:36 org.mortbay.util.Container start
INFO   | jvm 3    | 2011/04/19 23:54:36 | INFO: Started org.mortbay.jetty.Server@5fcf29
INFO   | jvm 3    | 2011/04/21 11:08:50 | 21 avr. 2011 09:08:50 org.mortbay.jetty.servlet.ServletHandler handle
INFO   | jvm 3    | 2011/04/21 11:08:50 | GRAVE: /themes/console/classic/images/titlebg.png: 
INFO   | jvm 3    | 2011/04/21 11:08:50 | java.lang.IllegalStateException: Committed
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.resetBuffer(ServletHttpResponse.java:212)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.ServletHttpResponse.sendError(ServletHttpResponse.java:378)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at net.i2p.router.web.jsp.viewtheme_jsp._jspService(viewtheme_jsp.java:107)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:94)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at javax.servlet.http.HttpServlet.service(HttpServlet.java:689)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:428)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.WebApplicationHandler.dispatch(WebApplicationHandler.java:473)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:568)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at net.i2p.router.web.LocaleWebAppHandler.handle(LocaleWebAppHandler.java:90)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1535)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.jetty.servlet.WebApplicationContext.handle(WebApplicationContext.java:633)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpContext.handle(HttpContext.java:1487)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpServer.service(HttpServer.java:909)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpConnection.service(HttpConnection.java:820)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpConnection.handleNext(HttpConnection.java:986)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.HttpConnection.handle(HttpConnection.java:837)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.http.SocketListener.handleConnection(SocketListener.java:245)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.util.ThreadedServer.handle(ThreadedServer.java:357)
INFO   | jvm 3    | 2011/04/21 11:08:50 | 	at org.mortbay.util.ThreadPool$PoolThread.run(ThreadPool.java:534)

It seems that connecting to console triggered last log entry.
I check every system log file, didn't see anything at this time (~11:08).
It doesn't seem to prevent I2P router from operating correctly.

So no valuable news so far, waiting for 0.8.6 for your fix to go further troobleshooting :)

comment:4 Changed 8 years ago by zzz

Resolution: fixed
Status: assignedclosed

Hoping it was fixed in 0.8.6. Please reopen if it wasn't.

Note: See TracTickets for help on using tickets.